{- too-many-cells
Gregory W. Schwartz

Clusters single cell data.
-}

{-# LANGUAGE OverloadedStrings #-}

module Main where

-- Remote
import Options.Generic

-- Local
import TooManyCells.Program.MakeTree
import TooManyCells.Program.Paths
import TooManyCells.Program.Diversity
import TooManyCells.Program.Differential
import TooManyCells.Program.Interactive
import TooManyCells.Program.Options

main :: IO ()
main = do
    opts <- getRecord "too-many-cells, Gregory W. Schwartz.\
                      \ Clusters and analyzes single cell data."

    case opts of
        MakeTree{}     -> makeTreeMain opts
        Interactive{}  -> interactiveMain opts
        Differential{} -> differentialMain opts
        Diversity{}    -> diversityMain opts
        Paths{}        -> pathsMain opts
